import React from "react"
import PropTypes from "prop-types"

export const ImdbBadge = ({ imdbId }) => {
  if (imdbId === undefined) { return null }

  return (
    <h5 className="d-inline">
      <a
        className="badge badge-pill badge-warning m-1"
        href={`https://www.imdb.com/title/${imdbId}`}>
        IMDb <i className="fa fa-external-link"></i>
      </a>
    </h5>
  );
}
ImdbBadge.propTypes = { imdbId: PropTypes.string };
ImdbBadge.defaultProps = { imdbId: undefined };
